AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
AudioMiniMax Audio

Speech synthesis (T2A V2)

Generate speech synchronously with MiniMax T2A V2 by using JSON or SSE streaming responses.

T2A V2 supports voice, speed, volume, pitch, audio encoding, pronunciation dictionaries, voice mixing, audio effects, and subtitle settings. It can also return audio chunks through an SSE stream.

POST/v1/minimax/t2a_v2

Synthesize speech synchronously. When stream=false, the API returns a complete JSON response. When stream=true, it continuously sends audio chunks through SSE.

The API records the actual billable pronunciation character count in extra_info.usage_characters.

Authorization

bearerAuth
AuthorizationBearer <token>

Use Bearer your-api-key in the Authorization header.

In: header

Request Body

application/json

MiniMax T2A V2 speech-synthesis request.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json